import excel "C:\stata\webinar\sampledata.xlsx", 	///
		sheet("Sheet1") firstrow clear

*単純回帰モデルの推定
reg temp_mean rainfall
est store model1

*都市ダミーを利用した重回帰分析
encode city, gen(cityid)
codebook cityid
reg temp_mean rainfall i.cityid

reg temp_mean rainfall ib2.cityid
est store model2

*推定結果の比較
est table model1 model2,se stats(N r2_a)

*不均一分散の検定
estat hettest

*予測値の計算
predict temp_hat

*東京のフィット直線と散布図--------------------------
twoway (line temp_hat rainfall) ///
	(scatter temp_mean rainfall) if cityid==2
*--------------------------------------------

*adoファイルのインストール
*Statistical Software Components
ssc install outreg2,replace
	
*outreg2で実行する最後のコマンド
outreg2 [model1 model2] using myfile, adjr2 word replace

